|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWindowsVistaStyle Class Reference
[QtGui module]

The QWindowsVistaStyle class provides a look and feel suitable for applications on Microsoft Windows Vista. More...

     #include <QWindowsVistaStyle>

Inherits QWindowsXPStyle.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QWindowsVistaStyle ()

- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QWindowsVistaStyle class provides a look and feel suitable for applications on Microsoft Windows Vista.

Warning: This style is only available on the Windows Vista platform because it makes use of Windows Vista's style engine.

See also QMacStyle, QWindowsXPStyle, QPlastiqueStyle, QCleanlooksStyle, and QMotifStyle.

## Member Function Documentation

### QWindowsVistaStyle::QWindowsVistaStyle ()

Constructs a QWindowsVistaStyle object.